package org.jeecg.modules.app.controller;

import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.modules.app.service.IOrderService;
import org.jeecg.modules.app.vo.OrderVO;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Date;
@Slf4j
@Tag(name = "订单相关接口")
@RestController
@RequestMapping("/app/order")
public class OrderController {
    @Resource
    private IOrderService appOrderService;
    /**
     * @Author SheepHy
     * @Description 学校场地预约-预览页
     * @Date 10:10 2025/7/14
     * @Param
     * @return
     **/
    @Operation(summary="学校场地预约-预览页")
    @GetMapping("/previewOrderPlaceSchool")
    public Result<OrderVO.PreviewOrderPlaceSchool> previewOrderPlaceSchool(@RequestParam("placeId") @Schema(description = "场地ID")String placeId,
                                                                           @RequestParam("startTime") @Schema(description = "当前选择日期（时分秒）")Date startTime){
        return Result.ok(appOrderService.previewOrderPlaceSchool(placeId,startTime));
    }
}
