package org.jeecg.modules.app.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.List;

@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = false)
@Schema(description="公共订单相关返回参数")
public class OrderVO {
    @Data
    @Accessors(chain = true)
    @EqualsAndHashCode(callSuper = false)
    @Schema(description="学校场地预约-预览页")
    public static class PreviewOrderPlaceSchool {
        @Schema(description = "门店ID")
        private String id;
        @Schema(description = "门店名称")
        private String name;
        @Schema(description="学校场地预约-预览页-时间段")
        private List<PreviewOrderPlaceSchoolChild> timeSlot;

    }

    @Data
    @Accessors(chain = true)
    @EqualsAndHashCode(callSuper = false)
    @Schema(description="学校场地预约-预览页-时间段")
    public static class PreviewOrderPlaceSchoolChild {
        @Schema(description = "时间段ID")
        private String id;
        @Schema(description = "时间段名称")
        private String name;
        @Schema(description = "库存")
        private int inventory;
        @Schema(description = "价格")
        private BigDecimal price;

    }

}
